
                       +---------------------------+
                       |  WEDL 2.00 Release Notes  |
                       +---------------------------+


New for WEDL 2.00:
------------------

    *   Windows 3.1 compatibility.

    *   Improved field validation capabilities.

    *   Ability to handle internal WEDL errors (eg. Field Cannot Be Blank).

    *   Expanded context-sensitive help.  Forms can now have a default help
        context for controls without an individual help context.

    *   Support for drag and drop.  Fields can accept drag and drop file
        names from File Manager.  (On systems with Windows 3.1+ only)

    *   Enable-links.  Provide for automatic enabling/disabling of controls
        based upon the condition of a field or button.

    *   Improved numeric data entry.

    *   3-Level Undo in fields.

    *   Ability to select text within a field.

    *   Improved clipboard support.

    *   Improved international support.

    *   Turbo Pascal for Windows support.

    *   Support for Borland's BWCC.DLL custom control library.


Using WEDL with C++ and OWL:
----------------------------

    Create a derived class from OWL's TDialog class:

        class TMyDialog : public TDialog {
            public:
                .....
            private:
                HFORM hform;    // WEDL's form handle
        }

    Define the form during the TMyDialog::SetupWindow virtual function:

        void TMyDialog::SetupWindow()
        {
            TDialog::SetupWindow();   // initialize base class
            hform = form_begin( ... );
            // do all WEDL definitions (field_define, button_define, etc.)
            form_end( hform );
        }

    Save the form during the TMyDialog::CanClose virtual function:

        BOOL TMyDialog::CanClose()
        {
            if( form_validate( hform ) != NULL ) return( FALSE );
            form_save( hform );
            return( TRUE );
        }

    Terminate the form during the TMyDialog::Destroy virtual function:

        void TMyDialog::Destroy( int return_value )
        {
            form_cancel( hform );
            TDialog::Destroy( return_value );
        }

